[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EUnderflow

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Float underflow error

## Declaration

Source position: sysutilh.inc line 144

`type EUnderflow = class(EMathError) ;`

## Inheritance

`EUnderflow` |  | Float underflow error
`EMathError` |  | Mathematical error
`EExternal` |  | External Exception.
`Exception` |  | Base class of all exceptions.
`TObject` |  | Base class of all classes.

## Description

EOverflow occurs when a float operation underflows (i.e. result is too small to represent).

## See also

EIntError |  | Integer operation error.
EIntOverflow |  | Integer overflow error.
EDivByZero |  | Division by zero error.
ERangeError |  | Range check error.
EOverFlow |  | Float overflow error.

Documentation generated on: Feb 26 2014